Skip to main content
GET
/
call-logs
/
{session_id}
Get Call History
curl --request GET \
  --url https://api-west.millis.ai/call-logs/{session_id} \
  --header 'authorization: <authorization>'
import requests

url = "https://api-west.millis.ai/call-logs/{session_id}"

headers = {"authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {authorization: '<authorization>'}};

fetch('https://api-west.millis.ai/call-logs/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "agent_id": "<string>",
  "agent_config": {},
  "duration": 123,
  "ts": 123,
  "chat": "<string>",
  "chars_used": 123,
  "session_id": "<string>",
  "call_id": "<string>",
  "cost_breakdown": [
    {}
  ],
  "voip": {},
  "recording": {},
  "metadata": {},
  "function_calls": [
    {}
  ],
  "campaign_id": "<string>",
  "error_message": "<string>",
  "call_metrics": {},
  "carrier_call_log": {}
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Headers

authorization
string
required

Path Parameters

session_id
string
required

Response

Successful Response

agent_id
string | null
agent_config
Agent Config · object | null
duration
number | null
ts
number | null
chat
string | null
chars_used
integer | null
session_id
string | null
call_id
string | null
cost_breakdown
Cost Breakdown · object[] | null
voip
Voip · object | null
recording
Recording · object | null
metadata
Metadata · object | null
function_calls
Function Calls · object[] | null
call_status
enum<string> | null
Available options:
registered,
queued,
dispatching,
provider_queued,
initiated,
ringing,
in-progress,
completed,
user-ended,
agent-ended,
api-ended,
voicemail-hangup,
voicemail-message,
timeout,
canceled,
busy,
no-answer,
failed,
error,
unknown,
chat_completion
campaign_id
string | null
error_message
string | null
call_metrics
Call Metrics · object | null
carrier_call_log
Carrier Call Log · object | null